package xyz.thastertyn.JecnaParse;

import java.io.IOException;
import java.net.UnknownHostException;
import java.util.ArrayList;

import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;
import org.jsoup.select.Elements;

public class Sdeleni {
	
	ArrayList<String> sdeleniList = new ArrayList<>(); 

	public void downloadSdeleni() throws UnknownHostException, IOException
	{
		Document sdeleniDoc = Downloader.download("https://www.spsejecna.cz/user-student/record-list").get();

		Elements sdeleni = sdeleniDoc.select("ul.list li");

		for(Element e : sdeleni)
		{
			boolean isPositive = false;
			String label = "";

			Elements spans = e.select("li").select("a.item").select("span");

			isPositive = spans.get(0).hasClass("sprite-icon-tick-16");
			label = spans.get(1).text();

			if(isPositive)
			{
				label = "✅" + " " + label;
			}else{
				label = "❌" + " " + label;
			}

			sdeleniList.add(label);
		}
	}

	public ArrayList<String> getSdeleni()
	{
		return sdeleniList;
	}
}
